import fs from 'fs'
import http from 'http'
import https from 'https'
import path from 'path'
import { qrc, krc, lrc, lrcx, nrc, utils } from '../index'


//解析QRC
async function test() {
	// const xml = qrc.decrypt(fs.readFileSync('data/new.qrc'))?.toString()
	// if (xml) {
	// 	qrc.encrypt(xml)
	// }

	console.log('==============================测试qrc==========================================')
	await utils.downloadQQMusicLyric({ songID: 102878776, qrc: true }).then(res => {
		if (res.karaok) {
			const lyric = qrc.parse(res.karaok)
			console.log(lyric)
			console.log(qrc.stringify(lyric))
		}
	})

	console.log('==============================测试krc==========================================')
	await utils.downloadKugouLyric({ id: 10515303, accesskey: '3A20F6A1933DE370EBA0187297F5477D', fmt: 'lrc' }).then(res => {
		if (res.karaok) {
			const lyric = krc.parse(res.karaok)
			console.log(lyric)
			console.log(lrcx.stringify(lyric))
		}
	})

	console.log('==============================测试lrcx==========================================')
	await utils.downloadKuwoLyric({ musicID: 'MUSIC_67340506', lrcx: true }).then(res => {
		if (res.karaok) {
			const lyric = lrcx.parse(res.karaok)
			console.log(lyric)
			console.log(lrcx.stringify(lyric))
		}
	})

	console.log('==============================测试nrc==========================================')
	await utils.downloadNeteasyLyric({ musicID: '210049' }).then(res => {
		if (res.karaok) {
			const lyric = nrc.parse(res.karaok)
			console.log(lyric)
			console.log(nrc.stringify(lyric))
		}
	})
}

test()